Subject: (unknown)

From: Jarek Poplawski <[email-masked]>
Date: Wed, 27 Jun 2007 12:39:09 +0200

Jean-Baptiste Vignaud <[email-masked]>,
"marcin.slusarz" <[email-masked]>,
shemminger <[email-masked]>
Subject: Re: [PATCH] 8139cp dev->tx_timeout
References: <[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>

On 27-06-2007 10:36, Jeff Garzik wrote:
> [email-masked] wrote:
>> Hello All,
>>
>> We have been experimenting a couple of interface hangs with the 8139cp
>> driver. It appears that the tx buffer stops transmitting and never starts
>> up again in some yet unknown conditions. To be able to circumvent this we
>> implemented the missing dev->tx_timeout function which should reset the
>> interface and allow it work again.
>>
>> The problem reoccurs quite seldom and we have yet to be able to confirm
>> that the attached patch helps the situation. We though that we should
>> submit the patch anyway for reviewing.
>>
>> The patch is made against 2.6.21.5 kernel.
> 
> Seems OK, but I'm definitely interested in hearing test feedback.

Hi!

I think maybe there are too many similar problems under 2.6.21
to be individual, and there could be something common to fix?

So, I "link" here a few  probably interested souls to cc:

Subject: Re: 2.6.20->2.6.21 - networking dies after random time
...
On Tue, Jun 26, 2007 at 04:24:07PM +0200, Jean-Baptiste Vignaud wrote:
> Hello, i have a very similar problem with 2.6.21 also;
> 
> 2 3com NICs and they are failling randomly.
> 
> The kernel is a basic fedora 7 kernel (2.6.21-1.3228.fc7)
> I found a bug report and added details here : https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243960
> 
> I'm not subcribed on this list, so please cc me if there is any questions.
> 
> JB
> 
> > On Tue, Jun 26, 2007 at 08:10:17AM +0200, Marcin Ślusarz wrote:
> > ...
> > > I reproduced it on minimal config:
...
> > We know your hardware should be OK - since it was fine with 2.6.20.
...

It looks like there is something common in the air...

Marcin: ne2k_pci with 8390, Jean: 3com, and now I see
similar problem with 8139cp too (plus some ideas):

http://marc.info/?l=linux-netdev&m=118293314109648&w=2

So, you probably should wait a little & look for new patches here.

Cheers,
Jarek P.